using FastEndpoints;
using FluentValidation;
using Knots.DTO.User;

namespace Knots.Validators.User;

public class UpdateUsernameDtoValidator : Validator<UpdateUsernameDto>
{
    public UpdateUsernameDtoValidator()
    {
        RuleFor(x => x.Username)
            .NotEmpty()
            .WithMessage("Le nom d'utilisateur doit être renseigné")
            .MaximumLength(50)
            .WithMessage("Le nom d'utilisateur ne doit pas dépasser les 50 caractères");
    }
}